<?php

namespace AMZcockpitDoctrine\Repository;

/**
 * JobsRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class JobsRepository extends \Doctrine\ORM\EntityRepository
{

    function findJobsIfExist($command,$options)
    {
        $qb = $this->createQueryBuilder('o')->select('o');
        $qb->where('o.command = :command');
        $qb->andWhere(
            $qb->expr()->andX(
                'o.options LIKE :type',
                'o.options LIKE :id'
            )
        )
        ->setParameter('type', '%'.$options['--type'].'%')
        ->setParameter('id', '%'.$options['--id'].'%')
        ->setParameter('command', $command);

        return  $qb->getQuery()->getOneOrNullResult();
    }

    function findJobsOfferIfExist($command,$options)
    {
        $qb = $this->createQueryBuilder('o')->select('o');
        $qb->where('o.command = :command');
        $qb->andWhere(
            $qb->expr()->andX(
                'o.options LIKE :key',
                'o.options LIKE :id'
            )
        )
        ->setParameter('key', '%'.$options['--key'].'%')
        ->setParameter('id', '%'.$options['--id'].'%')
        ->setParameter('command', $command);

        return  $qb->getQuery()->getOneOrNullResult();
    }

}
